Qt Reference Documentation

# Resource Compiler (rcc)

The `rcc` tool is used to embed resources into a Qt application during the build process. It works by generating a C++ source file containing data specified in a Qt resource (.qrc) file.

Usage:

     rcc [options] <inputs>

RCC accepts the following command line options:

Option | Argument | Description
--- | --- | ---
`-o` | `file` | Write output to `file` rather than to stdout.
`-name` | `name` | Create an external initialization function with `name`.

`-threshold`

`level`

Specifies a threshold `level` (as a percentage) to use when deciding whether to compress a file. If the reduction in the file size is greater than the threshold `level`, it is compressed; otherwise, the uncompressed data is stored instead. The default threshold level is 70%, meaning that compressed files which are 30% or less of their original size are stored as compressed data.

`-compress` | `level` | Compress input files to the given compression `level`, which is an integer in the range 1 to 9. Level 1 does the least compression but is fastest. Level 9 does the most compression but is slowest. To turn off compression, use `-no-compress`. The default value for `level` is -1, which means use zlib's default compression level.
`-root` | `path` | Prefix the resource access path with `path`. The default is no prefix.
`-no-compress` |  | Disable compression.
`-binary` |  | Output a binary file for use as a dynamic resource.
`-version` |  | Display version information.
`-help` |  | Display usage information.

See also The Qt Resource System for more information about embedding resources in Qt applications.